Commit 67720c4a authored by Xavier Guimard's avatar Xavier Guimard

Add LWP::Protocol::https in recommended dependencies

Closes: #532
parent 472f5fab
......@@ -87,7 +87,8 @@ Depends: ${misc:Depends},
liblemonldap-ng-conf-perl (= ${binary:Version}),
libwww-perl
Recommends: libapache-session-browseable-perl,
libwww-perl (<< 6) | libhttp-message-perl
libwww-perl (<< 6) | libhttp-message-perl,
libwww-perl (<< 6) | liblwp-protocol-https-perl
Suggests: libcache-memcached-perl,
libdigest-hmac-perl,
liblemonldap-ng-portal-perl,
......@@ -124,6 +125,7 @@ Depends: ${misc:Depends},
Recommends: libhtml-template-perl,
libnet-ldap-perl,
libwww-perl (<< 6) | libhttp-message-perl,
libwww-perl (<< 6) | liblwp-protocol-https-perl,
libxml-libxml-perl,
libxml-simple-perl
Description: Lemonldap::NG common files
......@@ -153,7 +155,8 @@ Depends: ${misc:Depends},
libxml-libxml-perl,
libxml-libxslt-perl
Recommends: lemonldap-ng-doc (= ${binary:Version}),
libapache-session-browseable-perl
libapache-session-browseable-perl,
libwww-perl (<< 6) | liblwp-protocol-https-perl
Pre-Depends: debconf
Description: Lemonldap::NG manager part
Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
......@@ -193,6 +196,7 @@ Suggests: libauthcas-perl,
libsoap-lite-perl,
liburi-perl,
libwww-perl (<< 6) | libhttp-message-perl,
libwww-perl (<< 6) | liblwp-protocol-https-perl,
libwww-perl,
libxml-libxml-perl,
libxml-libxslt-perl,
......
......@@ -4,7 +4,7 @@ version: 1.3.0
abstract: Common files for Lemonldap::NG infrastructure
author:
- Xavier Guimard <x.guimard@free.fr>, Clément Oudot <clement@oodo.net>
license: perl
license: gpl
distribution_type: module
configure_requires:
ExtUtils::MakeMaker: 0
......
......@@ -22,7 +22,7 @@ EOT
WriteMakefile(
NAME => 'Lemonldap::NG::Common',
VERSION_FROM => 'lib/Lemonldap/NG/Common.pm', # finds $VERSION
LICENSE => 'perl',
LICENSE => 'gpl',
BUILD_REQUIRES => {
'IO::String' => 0,
'Net::LDAP' => 0,
......
......@@ -4,7 +4,7 @@ version: 1.3.0
abstract: The Apache protection module part of
author:
- Xavier Guimard <x.guimard@free.fr>
license: perl
license: gpl
distribution_type: module
configure_requires:
ExtUtils::MakeMaker: 0
......@@ -30,7 +30,8 @@ meta-spec:
url: http://module-build.sourceforge.net/META-spec-v1.4.html
version: 1.4
recommends:
Cache::Memcached: 0
Digest::HMAC_SHA1: 0
HTTP::Message: 0
SOAP::Lite: 0
Cache::Memcached: 0
Digest::HMAC_SHA1: 0
HTTP::Message: 0
LWP::Protocol::https: 0
SOAP::Lite: 0
......@@ -6,22 +6,23 @@ use ExtUtils::MakeMaker;
WriteMakefile(
NAME => 'Lemonldap::NG::Handler',
VERSION_FROM => 'lib/Lemonldap/NG/Handler.pm',
LICENSE => 'perl',
LICENSE => 'gpl',
PMLIBDIRS => ['lib'],
BUILD_REQUIRES => {
'Digest::HMAC_SHA1' => 0,
'HTTP::Message' => 0,
'IO::Pipe' => 0,
'SOAP::Lite' => 0,
'SOAP::Lite' => 0,
'Test::MockObject' => 0,
'Test::Pod' => 0,
},
META_MERGE => {
'recommends' => {
'Cache::Memcached' => 0,
'Digest::HMAC_SHA1' => 0,
'HTTP::Message' => 0,
'SOAP::Lite' => 0,
'Cache::Memcached' => 0,
'Digest::HMAC_SHA1' => 0,
'HTTP::Message' => 0,
'LWP::Protocol::https' => 0,
'SOAP::Lite' => 0,
},
},
PREREQ_PM => {
......
--- #YAML:1.0
name: Lemonldap-NG-Manager
version: 1.3.0
abstract: Perl extension for managing Lemonldap::NG Web-SSO
name: Lemonldap-NG-Manager
version: 1.3.0
abstract: Perl extension for managing Lemonldap::NG Web-SSO
author:
- Xavier Guimard <x.guimard@free.fr>, Clément Oudot <clement@oodo.net>, Thomas Chemineau <thomas.chemineau@gmail.com>
license: perl
distribution_type: module
license: gpl
distribution_type: module
configure_requires:
ExtUtils::MakeMaker: 0
build_requires:
......@@ -26,7 +26,8 @@ no_index:
directory:
- t
- inc
generated_by: ExtUtils::MakeMaker version 6.57_05
generated_by: ExtUtils::MakeMaker version 6.57_05
meta-spec:
url: http://module-build.sourceforge.net/META-spec-v1.4.html
version: 1.4
LWP::Protocol::https: 0
......@@ -6,12 +6,13 @@ use ExtUtils::MakeMaker;
WriteMakefile(
NAME => 'Lemonldap::NG::Manager',
VERSION_FROM => 'lib/Lemonldap/NG/Manager.pm', # finds $VERSION
LICENSE => 'perl',
LICENSE => 'gpl',
BUILD_REQUIRES => {
'IO::String' => 0,
'Test::Pod' => 1.00,
'IO::String' => 0,
'Test::Pod' => 1.00,
},
PREREQ_PM => {
META_MERGE => { 'LWP::Protocol::https' => 0, },
PREREQ_PM => {
'Convert::PEM' => 0,
'Crypt::OpenSSL::RSA' => 0,
'HTML::Template' => 0,
......
......@@ -47,6 +47,7 @@ recommends:
Lasso: 2.3.0
Lemonldap::NG::Handler: 1.3.0
LWP: 0
LWP::Protocol::https: 0
MIME::Lite: 0
Net::OpenID::Consumer: 0
Net::OpenID::Server: 0
......
......@@ -15,8 +15,9 @@ WriteMakefile(
'Glib' => 0,
'HTTP::Message' => 0,
'Lasso' => '2.3.0',
'Lemonldap::NG::Handler' => '1.3.0',
'Lemonldap::NG::Handler' => '1.3.0',
'LWP' => 0,
'LWP::Protocol::https' => 0,
'MIME::Lite' => 0,
'Net::OpenID::Consumer' => 0,
'Net::OpenID::Server' => 0,
......@@ -45,13 +46,13 @@ WriteMakefile(
'XML::Simple' => 0,
},
PREREQ_PM => {
'Authen::Captcha' => 0,
'CGI' => 3.08,
'Clone' => 0,
'HTML::Template' => 0,
'Lemonldap::NG::Common' => '1.3.0',
'Net::LDAP' => 0.38,
'Unicode::String' => 0,
'Authen::Captcha' => 0,
'CGI' => 3.08,
'Clone' => 0,
'HTML::Template' => 0,
'Lemonldap::NG::Common' => '1.3.0',
'Net::LDAP' => 0.38,
'Unicode::String' => 0,
},
(
$] >= 5.005
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment